POST api/batchapi/add/loadingstep?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

Required

Body Parameters

BatchLoadingStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

mediwave_id

globally unique identifier

Required

batch_details

Collection of BatchDetailViewModel

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "ac9c6acc-d860-4f90-b518-af955df9f5b1",
  "mediwave_id": "3dd6ff8b-5a3f-4e29-bef9-253dc8aab4c5",
  "batch_details": [
    {
      "id": "1a6e9d0f-a8e2-438b-9d67-03e7c598a4c7",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-09-26T16:30:31.6807282+00:00",
      "reference": "sample string 4"
    },
    {
      "id": "1a6e9d0f-a8e2-438b-9d67-03e7c598a4c7",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-09-26T16:30:31.6807282+00:00",
      "reference": "sample string 4"
    }
  ]
}

application/xml, text/xml

Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_details>
    <batch_detail>
      <compartment>2</compartment>
      <id>1a6e9d0f-a8e2-438b-9d67-03e7c598a4c7</id>
      <reference>sample string 4</reference>
      <unload_time>2026-09-26T16:30:31.6807282+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
    <batch_detail>
      <compartment>2</compartment>
      <id>1a6e9d0f-a8e2-438b-9d67-03e7c598a4c7</id>
      <reference>sample string 4</reference>
      <unload_time>2026-09-26T16:30:31.6807282+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
  </batch_details>
  <id>ac9c6acc-d860-4f90-b518-af955df9f5b1</id>
  <mediwave_id>3dd6ff8b-5a3f-4e29-bef9-253dc8aab4c5</mediwave_id>
</batch_loading_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"dd2a3bfd-e744-4acc-9c82-2ded4278911c"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">dd2a3bfd-e744-4acc-9c82-2ded4278911c</guid>